<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.Panic Method
DatabaseEnvironment Class See Also Send Feedback

Set the panic state for the database environment. (Database environments in a panic state normally refuse all attempts to call Berkeley DB functions, throwing RunRecoveryException.)

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public void Panic()

Visual Basic (Declaration)

    Public Sub Panic

Visual C++

    public:
    void Panic()

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace